Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_cloudth.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_cloudth.F90	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_cloudth.F90	(revision 5082)
@@ -79,5 +79,5 @@
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
 
-      IF (iflag_cloudth_vert.GE.1) THEN
+      IF (iflag_cloudth_vert>=1) THEN
       CALL cloudth_vert(ngrid,klev,ind2,  &
      &           ztv,po,zqta,fraca, & 
@@ -117,5 +117,5 @@
       do ind1=1,ngrid
 
-      if ((ztv(ind1,1).gt.ztv(ind1,2)).and.(fraca(ind1,ind2).gt.1.e-10)) then 
+      if ((ztv(ind1,1)>ztv(ind1,2)).and.(fraca(ind1,ind2)>1.e-10)) then
 
       zqenv(ind1)=(po(ind1)-fraca(ind1,ind2)*zqta(ind1,ind2))/(1.-fraca(ind1,ind2))
@@ -186,5 +186,5 @@
 
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
-      if (ctot(ind1,ind2).lt.1.e-10) then
+      if (ctot(ind1,ind2)<1.e-10) then
       ctot(ind1,ind2)=0.
       qcloud(ind1)=zqsatenv(ind1,ind2) 
@@ -227,5 +227,5 @@
       qltot(ind1,ind2)=sigma1s*((exp(-1.*xenv**2)/sqrt2pi)+xenv*sqrt(2.)*cenv(ind1,ind2))
       
-      if (ctot(ind1,ind2).lt.1.e-3) then
+      if (ctot(ind1,ind2)<1.e-3) then
       ctot(ind1,ind2)=0.
       qcloud(ind1)=zqsatenv(ind1,ind2) 
@@ -347,5 +347,5 @@
       do ind1=1,ngrid
 
-      if ((ztv(ind1,1).gt.ztv(ind1,2)).and.(fraca(ind1,ind2).gt.1.e-10)) then 
+      if ((ztv(ind1,1)>ztv(ind1,2)).and.(fraca(ind1,ind2)>1.e-10)) then
 
       zqenv(ind1)=(po(ind1)-fraca(ind1,ind2)*zqta(ind1,ind2))/(1.-fraca(ind1,ind2))
@@ -510,5 +510,5 @@
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
 
-      if (cenv(ind1,ind2).lt.1.e-10.or.cth(ind1,ind2).lt.1.e-10) then
+      if (cenv(ind1,ind2)<1.e-10.or.cth(ind1,ind2)<1.e-10) then
       ctot(ind1,ind2)=0.
       qcloud(ind1)=zqsatenv(ind1,ind2) 
@@ -554,5 +554,5 @@
       qltot(ind1,ind2)=sigma1s*((exp(-1.*xenv**2)/sqrt2pi)+xenv*sqrt(2.)*cenv(ind1,ind2))
       
-      if (ctot(ind1,ind2).lt.1.e-3) then
+      if (ctot(ind1,ind2)<1.e-3) then
       ctot(ind1,ind2)=0.
       qcloud(ind1)=zqsatenv(ind1,ind2) 
@@ -651,5 +651,5 @@
       INTEGER :: ind1,l, ig
 
-      IF (iflag_cloudth_vert.GE.1) THEN
+      IF (iflag_cloudth_vert>=1) THEN
       CALL cloudth_vert_v3(ngrid,klev,ind2,  &
      &           ztv,po,zqta,fraca, & 
@@ -694,5 +694,5 @@
       do ind1=1,ngrid
 
-      if ((ztv(ind1,1).gt.ztv(ind1,2)).and.(fraca(ind1,ind2).gt.1.e-10)) then 
+      if ((ztv(ind1,1)>ztv(ind1,2)).and.(fraca(ind1,ind2)>1.e-10)) then
 
       zqenv(ind1)=(po(ind1)-fraca(ind1,ind2)*zqta(ind1,ind2))/(1.-fraca(ind1,ind2))
@@ -759,5 +759,5 @@
       qltot(ind1,ind2)=fraca(ind1,ind2)*qlth(ind1,ind2)+(1.-1.*fraca(ind1,ind2))*qlenv(ind1,ind2)
 
-      if (ctot(ind1,ind2).lt.1.e-10) then
+      if (ctot(ind1,ind2)<1.e-10) then
       ctot(ind1,ind2)=0.
       qcloud(ind1)=zqsatenv(ind1,ind2) 
@@ -790,5 +790,5 @@
       qltot(ind1,ind2)=sigma1s*((exp(-1.*xenv**2)/sqrt2pi)+xenv*sqrt2*cenv(ind1,ind2))
 
-      if (ctot(ind1,ind2).lt.1.e-3) then
+      if (ctot(ind1,ind2)<1.e-3) then
       ctot(ind1,ind2)=0.
       qcloud(ind1)=zqsatenv(ind1,ind2)
@@ -926,5 +926,5 @@
       do ind1=1,ngrid
 
-      if ((ztv(ind1,1).gt.ztv(ind1,2)).and.(fraca(ind1,ind2).gt.1.e-10)) then !Thermal and environnement
+      if ((ztv(ind1,1)>ztv(ind1,2)).and.(fraca(ind1,ind2)>1.e-10)) then !Thermal and environnement
 
       zqenv(ind1)=(po(ind1)-fraca(ind1,ind2)*zqta(ind1,ind2))/(1.-fraca(ind1,ind2)) !qt = a*qtth + (1-a)*qtenv
@@ -978,5 +978,5 @@
       ENDIF
       sigma1s = sigma1s_fraca + sigma1s_ratqs
-      IF (iflag_ratqs.eq.11) then
+      IF (iflag_ratqs==11) then
          sigma1s = ratqs(ind1,ind2)*po(ind1)*aenv
       ENDIF
@@ -1073,5 +1073,5 @@
       IntJ=0.5*senv*(1-erf(xenv2))+(sigma1s/sqrt2pi)*exp_xenv2
       IntJ_CF=0.5*(1.-1.*erf(xenv2))
-      if (deltasenv .lt. 1.e-10) then 
+      if (deltasenv < 1.e-10) then
       qlenv(ind1,ind2)=IntJ
       cenv_vol(ind1,ind2)=IntJ_CF
@@ -1089,5 +1089,5 @@
       IntJ=0.5*sth*(1-erf(xth2))+(sigma2s/sqrt2pi)*exp_xth2
       IntJ_CF=0.5*(1.-1.*erf(xth2))
-      if (deltasth .lt. 1.e-10) then
+      if (deltasth < 1.e-10) then
       qlth(ind1,ind2)=IntJ
       cth_vol(ind1,ind2)=IntJ_CF
@@ -1158,5 +1158,5 @@
 
 !      if (ctot(ind1,ind2).lt.1.e-10) then
-      if (cenv(ind1,ind2).lt.1.e-10.or.cth(ind1,ind2).lt.1.e-10) then
+      if (cenv(ind1,ind2)<1.e-10.or.cth(ind1,ind2)<1.e-10) then
       ctot(ind1,ind2)=0.
       ctot_vol(ind1,ind2)=0.
@@ -1201,5 +1201,5 @@
       qltot(ind1,ind2)=sigma1s*((exp(-1.*xenv**2)/sqrt2pi)+xenv*sqrt(2.)*cenv(ind1,ind2))
       
-      if (ctot(ind1,ind2).lt.1.e-3) then
+      if (ctot(ind1,ind2)<1.e-3) then
       ctot(ind1,ind2)=0.
       qcloud(ind1)=zqsatenv(ind1,ind2)
@@ -1338,5 +1338,5 @@
 !Both thermal and environment in the gridbox
 !-------------------------------------------------------------------------------
-      IF ((ztv(ind1,1).gt.ztv(ind1,2)).and.(fraca(ind1,ind2).gt.1.e-10)) THEN
+      IF ((ztv(ind1,1)>ztv(ind1,2)).and.(fraca(ind1,ind2)>1.e-10)) THEN
         !--------------------------------------------
         !calcul de qsat_env
@@ -1409,5 +1409,5 @@
         !Incloud Condensed water qcloud
         !--------------------------------------------
-      if (ctot_surf(ind1,ind2) .lt. 1.e-10) then
+      if (ctot_surf(ind1,ind2) < 1.e-10) then
       ctot_vol(ind1,ind2)=0.
       ctot_surf(ind1,ind2)=0.
@@ -1470,5 +1470,5 @@
         !Incloud Condensed water qcloud
         !--------------------------------------------
-      if (ctot_surf(ind1,ind2) .lt. 1.e-8) then
+      if (ctot_surf(ind1,ind2) < 1.e-8) then
       ctot_vol(ind1,ind2)=0.
       ctot_surf(ind1,ind2)=0.
@@ -1623,7 +1623,7 @@
 
       DO ind1=1,klon
-            IF ((temp(ind1) .LT. RTT) .AND. (temp(ind1) .GT. temp_nowater) &
+            IF ((temp(ind1) < RTT) .AND. (temp(ind1) > temp_nowater) &
             .AND. (ind2<=klev-2)  &
-            .AND. (frac_th(ind1).GT.min_frac_th_cld)) THEN
+            .AND. (frac_th(ind1)>min_frac_th_cld)) THEN
                 mpc_bl_points(ind1,ind2)=1
             ELSE
@@ -1661,5 +1661,5 @@
 
 
-    IF (frac_th(ind1).GT.min_frac_th_cld) THEN !Thermal and environnement
+    IF (frac_th(ind1)>min_frac_th_cld) THEN !Thermal and environnement
 
 ! unlike in the other cloudth routine, 
@@ -1700,5 +1700,5 @@
  
            sigma1s = sigma1s_fraca + sigma1s_ratqs
-           IF (iflag_ratqs.eq.11) then
+           IF (iflag_ratqs==11) then
               sigma1s = ratqs(ind1)*qt(ind1)*aenv
            ENDIF
@@ -1732,5 +1732,5 @@
             IntJ_CF=0.5*(1.-1.*erf(xenv2))
 
-            IF (deltasenv .LT. 1.e-10) THEN 
+            IF (deltasenv < 1.e-10) THEN
               qcenv(ind1)=IntJ
               cenv_vol(ind1)=IntJ_CF
@@ -1743,5 +1743,5 @@
               qcenv(ind1)=IntJ+IntI1+IntI2+IntI3
               cenv_vol(ind1)=IntJ_CF+IntI1_CF+IntI3_CF
-              IF (Tbefenv(ind1) .LT. temp_nowater) THEN
+              IF (Tbefenv(ind1) < temp_nowater) THEN
                   ! freeze all droplets in cirrus temperature regime
                   icefracenv(ind1)=1. 
@@ -1756,5 +1756,5 @@
             IntJ_CF=0.5*(1.-1.*erf(xth2))
      
-            IF (deltasth .LT. 1.e-10) THEN
+            IF (deltasth < 1.e-10) THEN
               qcth(ind1)=IntJ
               cth_vol(ind1)=IntJ_CF
@@ -1767,5 +1767,5 @@
               qcth(ind1)=IntJ+IntI1+IntI2+IntI3
               cth_vol(ind1)=IntJ_CF+IntI1_CF+IntI3_CF
-              IF (Tbefth(ind1) .LT. temp_nowater) THEN
+              IF (Tbefth(ind1) < temp_nowater) THEN
                   ! freeze all droplets in cirrus temperature regime
                   icefracth(ind1)=1.
@@ -1777,5 +1777,5 @@
             ctot_vol(ind1)=frac_th(ind1)*cth_vol(ind1)+(1.-1.*frac_th(ind1))*cenv_vol(ind1)
 
-            IF (cenv(ind1).LT.min_neb_th.and.cth(ind1).LT.min_neb_th) THEN
+            IF (cenv(ind1)<min_neb_th.and.cth(ind1)<min_neb_th) THEN
                 ctot(ind1)=0.
                 ctot_vol(ind1)=0.
@@ -1786,5 +1786,5 @@
                 qcloud(ind1)=qctot(ind1)/ctot(ind1)+qslenv(ind1)
                 qincloud(ind1)=qctot(ind1)/ctot(ind1)
-                IF (qctot(ind1) .GT. 0) THEN
+                IF (qctot(ind1) > 0) THEN
                   icefrac(ind1)=(frac_th(ind1)*qcth(ind1)*icefracth(ind1)+(1.-1.*frac_th(ind1))*qcenv(ind1)*icefracenv(ind1))/qctot(ind1)
                   icefrac(ind1)=max(min(1.,icefrac(ind1)), 0.)
@@ -1812,5 +1812,5 @@
 
 
-        IF (ctot(ind1).LT.min_neb_th) THEN
+        IF (ctot(ind1)<min_neb_th) THEN
           ctot(ind1)=0.
           qcloud(ind1)=qslenv(ind1)
@@ -2178,5 +2178,5 @@
 
 
-    IF (iflag_topthermals .GT. 0) THEN ! uppermost thermals levels
+    IF (iflag_topthermals > 0) THEN ! uppermost thermals levels
 
     Dv=0.0001*0.211*(p0/pres(ind2))*((temp(ind2)/T0)**1.94) ! water vapor diffusivity in air, SI
@@ -2231,5 +2231,5 @@
     fp2=0.
     fp1=0.
-    IF (fraca(ind2p1) .GT. 0.) THEN
+    IF (fraca(ind2p1) > 0.) THEN
     fp2=-qith(ind2p2)*rho(ind2p2)*vith(ind2p2)*fraca(ind2p2)! flux defined positive upward
     fp1=-qith(ind2p1)*rho(ind2p1)*vith(ind2p1)*fraca(ind2p1)
@@ -2240,5 +2240,5 @@
     ! Calculation in a top-to-bottom loop
 
-    IF (fm_therm(ind1,ind2p1) .GT. 0.) THEN
+    IF (fm_therm(ind1,ind2p1) > 0.) THEN
           qi= 1./fm_therm(ind1,ind2p1)* &
               (deltazlev(ind2p1)*(-rim_term-dep_term-det_term-precip_term) + &
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_lscp.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_lscp.F90	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_lscp.F90	(revision 5082)
@@ -312,5 +312,5 @@
 
 
-IF (iflag_fisrtilp_qsat .LT. 0) THEN
+IF (iflag_fisrtilp_qsat < 0) THEN
     abort_message = 'lscp cannot be used with iflag_fisrtilp<0'
     CALL abort_physic(modname,abort_message,1)
@@ -418,5 +418,5 @@
 DO k = klev, 1, -1
 
-    IF (k.LE.klev-1) THEN
+    IF (k<=klev-1) THEN
        iftop=.false. 
     ELSE 
@@ -507,5 +507,5 @@
     ! --------------------------------------------------------------------
     
-    IF (iflag_evap_prec.GE.1) THEN 
+    IF (iflag_evap_prec>=1) THEN
 
         ! Calculation of saturation specific humidity
@@ -520,15 +520,15 @@
 
             ! if precipitation
-            IF (zrfl(i)+zifl(i).GT.0.) THEN
+            IF (zrfl(i)+zifl(i)>0.) THEN
 
             ! LudoTP: we only account for precipitation evaporation in the clear-sky (iflag_evap_prec>=4).
             ! c_iso: likely important to distinguish cs from neb isotope precipitation
 
-                IF (iflag_evap_prec.GE.4) THEN
+                IF (iflag_evap_prec>=4) THEN
                     zrfl(i) = zrflclr(i)
                     zifl(i) = ziflclr(i)
                 ENDIF
 
-                IF (iflag_evap_prec.EQ.1) THEN
+                IF (iflag_evap_prec==1) THEN
                     znebprecip(i)=zneb(i)
                 ELSE
@@ -536,9 +536,9 @@
                 ENDIF
 
-                IF (iflag_evap_prec.GT.4) THEN
+                IF (iflag_evap_prec>4) THEN
                 ! Max evaporation not to saturate the clear sky precip fraction
                 ! i.e. the fraction where evaporation occurs
                     zqev0 = MAX(0.0, (zqs(i)-zq(i))*znebprecipclr(i))
-                ELSEIF (iflag_evap_prec .EQ. 4) THEN
+                ELSEIF (iflag_evap_prec == 4) THEN
                 ! Max evaporation not to saturate the whole mesh
                 ! Pay attention -> lead to unrealistic and excessive evaporation
@@ -554,9 +554,9 @@
                 ! LTP: evaporation only in the clear sky part (iflag_evap_prec>=4)
 
-                IF (iflag_evap_prec.EQ.3) THEN
+                IF (iflag_evap_prec==3) THEN
                     zqevt = znebprecip(i)*coef_eva*(1.0-zq(i)/qsl(i)) &
                     *SQRT(zrfl(i)/max(1.e-4,znebprecip(i)))        &
                     *(paprs(i,k)-paprs(i,k+1))/pplay(i,k)*zt(i)*RD/RG
-                ELSE IF (iflag_evap_prec.GE.4) THEN
+                ELSE IF (iflag_evap_prec>=4) THEN
                      zqevt = znebprecipclr(i)*coef_eva*(1.0-zq(i)/qsl(i)) &
                     *SQRT(zrfl(i)/max(1.e-8,znebprecipclr(i))) &
@@ -571,9 +571,9 @@
 
                 ! sublimation of the solid precipitation coming from above
-                IF (iflag_evap_prec.EQ.3) THEN
+                IF (iflag_evap_prec==3) THEN
                     zqevti = znebprecip(i)*coef_sub*(1.0-zq(i)/qsi(i)) &
                     *SQRT(zifl(i)/max(1.e-4,znebprecip(i))) &
                     *(paprs(i,k)-paprs(i,k+1))/pplay(i,k)*zt(i)*RD/RG
-                ELSE IF (iflag_evap_prec.GE.4) THEN
+                ELSE IF (iflag_evap_prec>=4) THEN
                      zqevti = znebprecipclr(i)*coef_sub*(1.0-zq(i)/qsi(i)) &
                     *SQRT(zifl(i)/max(1.e-8,znebprecipclr(i))) &
@@ -593,5 +593,5 @@
                 ! redistribute zqev0 conserving the ratio liquid/ice 
 
-                IF (zqevt+zqevti.GT.zqev0) THEN
+                IF (zqevt+zqevti>zqev0) THEN
                     zqev=zqev0*zqevt/(zqevt+zqevti)
                     zqevi=zqev0*zqevti/(zqevt+zqevti)
@@ -633,8 +633,8 @@
                                            
 
-                IF (iflag_evap_prec.GE.4) THEN
+                IF (iflag_evap_prec>=4) THEN
                     zrflclr(i) = zrfl(i)
                     ziflclr(i) = zifl(i)
-                    IF(zrflclr(i) + ziflclr(i).LE.0) THEN
+                    IF(zrflclr(i) + ziflclr(i)<=0) THEN
                         znebprecipclr(i) = 0.0
                     ENDIF
@@ -651,5 +651,5 @@
 
                 ! update of rainfall and snowfall due to melting
-                IF (iflag_evap_prec.GE.4) THEN
+                IF (iflag_evap_prec>=4) THEN
                     zrflclr(i)=zrflclr(i)+zmelt*ziflclr(i)
                     zrflcld(i)=zrflcld(i)+zmelt*ziflcld(i)
@@ -667,5 +667,5 @@
                 *RLMLT/RCPD/(1.0+RVTMP2*(zq(i)+zmqc(i)))
                
-                IF (iflag_evap_prec.GE.4) THEN
+                IF (iflag_evap_prec>=4) THEN
                     ziflclr(i)=ziflclr(i)*(1.-zmelt)
                     ziflcld(i)=ziflcld(i)*(1.-zmelt)
@@ -699,5 +699,5 @@
             zdelta = MAX(0.,SIGN(1.,RTT-zt(i)))
             zdqsdT_raw(i) = zdqs(i)*RCPD*(1.0+RVTMP2*zq(i)) / (RLVTT*(1.-zdelta) + RLSTT*zdelta)
-            IF (zq(i) .LT. 1.e-15) THEN
+            IF (zq(i) < 1.e-15) THEN
                 ncoreczq=ncoreczq+1
                 zq(i)=1.e-15
@@ -727,10 +727,10 @@
         qincloud_mpc(:)=0.
 
-        IF (iflag_cld_th.GE.5) THEN
+        IF (iflag_cld_th>=5) THEN
                ! Cloud cover and content in meshes affected by shallow convection, 
                ! are retrieved from a bi-gaussian distribution of the saturation deficit
                ! following Jam et al. 2013
 
-               IF (iflag_cloudth_vert.LE.2) THEN
+               IF (iflag_cloudth_vert<=2) THEN
                   ! Old version of Arnaud Jam
 
@@ -742,5 +742,5 @@
 
 
-                ELSEIF (iflag_cloudth_vert.GE.3 .AND. iflag_cloudth_vert.LE.5) THEN
+                ELSEIF (iflag_cloudth_vert>=3 .AND. iflag_cloudth_vert<=5) THEN
                    ! Default version of Arnaud Jam
                         
@@ -752,5 +752,5 @@
 
 
-                ELSEIF (iflag_cloudth_vert.EQ.6) THEN
+                ELSEIF (iflag_cloudth_vert==6) THEN
                    ! Jean Jouhaud's version, with specific separation between surface and volume
                    ! cloud fraction Decembre 2018 
@@ -762,5 +762,5 @@
                          cloudth_sth,cloudth_senv,cloudth_sigmath,cloudth_sigmaenv)
 
-                ELSEIF (iflag_cloudth_vert .EQ. 7) THEN
+                ELSEIF (iflag_cloudth_vert == 7) THEN
                    ! Updated version of Arnaud Jam (correction by E. Vignon) + adapted treatment
                    ! for boundary-layer mixed phase clouds 
@@ -781,10 +781,10 @@
         ENDIF
 
-        IF (iflag_cld_th .LE. 4) THEN
+        IF (iflag_cld_th <= 4) THEN
             
                 ! lognormal 
             lognormale(:) = .TRUE.
 
-        ELSEIF (iflag_cld_th .GE. 6) THEN
+        ELSEIF (iflag_cld_th >= 6) THEN
             
                 ! lognormal distribution when no thermals 
@@ -815,7 +815,7 @@
 
                     ! keepgoing = .true. while convergence is not satisfied
-                    keepgoing(i)=ABS(DT(i)).GT.DDT0
-
-                    IF ((keepgoing(i) .OR. (n_i(i) .EQ. 0)) .AND. lognormale(i)) THEN
+                    keepgoing(i)=ABS(DT(i))>DDT0
+
+                    IF ((keepgoing(i) .OR. (n_i(i) == 0)) .AND. lognormale(i)) THEN
 
                         ! if not convergence:
@@ -845,5 +845,5 @@
                   zdqs(:) = gammasat(:)*zdqs(:)+zqs(:)*dgammasatdt(:)
                   ! cloud phase determination
-                  IF (iflag_t_glace.GE.4) THEN
+                  IF (iflag_t_glace>=4) THEN
                   ! For iflag_t_glace GE 4 the phase partition function dependends on temperature AND distance to cloud top
                        CALL distance_to_cloud_top(klon,klev,k,temp,pplay,paprs,rneb,zdistcltop,ztemp_cltop)
@@ -854,5 +854,5 @@
                   DO i=1,klon !todoan : check if loop in i is needed
 
-                      IF ((keepgoing(i) .OR. (n_i(i) .EQ. 0)) .AND. lognormale(i)) THEN
+                      IF ((keepgoing(i) .OR. (n_i(i) == 0)) .AND. lognormale(i)) THEN
 
                         zpdf_sig(i)=ratqs(i,k)*zq(i)
@@ -868,7 +868,7 @@
                         zpdf_e2(i)=1.-erf(zpdf_e2(i))
 
-                        IF ((.NOT.ok_ice_sursat).OR.(Tbef(i).GT.t_glace_min)) THEN
-
-                          IF (zpdf_e1(i).LT.1.e-10) THEN
+                        IF ((.NOT.ok_ice_sursat).OR.(Tbef(i)>t_glace_min)) THEN
+
+                          IF (zpdf_e1(i)<1.e-10) THEN
                               rneb(i,k)=0.
                               zqn(i)=gammasat(i)*zqs(i)
@@ -897,5 +897,5 @@
 
                         ! If vertical heterogeneity, change fraction by volume as well
-                        IF (iflag_cloudth_vert.GE.3) THEN
+                        IF (iflag_cloudth_vert>=3) THEN
                             ctot_vol(i,k)=rneb(i,k)
                             rneblsvol(i,k)=ctot_vol(i,k)
@@ -910,5 +910,5 @@
 
                 
-                        IF (zfice(i).LT.1) THEN
+                        IF (zfice(i)<1) THEN
                             cste=RLVTT
                         ELSE
@@ -946,5 +946,5 @@
 
         ! For iflag_t_glace GE 4 the phase partition function dependends on temperature AND distance to cloud top
-        IF (iflag_t_glace.GE.4) THEN
+        IF (iflag_t_glace>=4) THEN
            CALL distance_to_cloud_top(klon,klev,k,temp,pplay,paprs,rneb,zdistcltop,ztemp_cltop)
            distcltop(:,k)=zdistcltop(:)
@@ -956,5 +956,5 @@
 
         ! Partition function depending on tke for non shallow-convective clouds 
-        IF (iflag_icefrac .GE. 1) THEN
+        IF (iflag_icefrac >= 1) THEN
 
            CALL icefrac_lscp_turb(klon, dtime, Tbef, pplay(:,k), paprs(:,k), paprs(:,k+1), qice_save(:,k), ziflcld, zqn, &
@@ -967,5 +967,5 @@
             ! Overwrite phase partitioning in boundary layer mixed phase clouds when the 
             ! iflag_cloudth_vert=7 and specific param is activated
-            IF (mpc_bl_points(i,k) .GT. 0) THEN
+            IF (mpc_bl_points(i,k) > 0) THEN
                 zcond(i) = MAX(0.0,qincloud_mpc(i))*rneb(i,k)
                 ! following line is very strange and probably wrong
@@ -976,10 +976,10 @@
             ELSE
                 ! Checks on rneb, rhcl and zqn
-                IF (rneb(i,k) .LE. 0.0) THEN
+                IF (rneb(i,k) <= 0.0) THEN
                     zqn(i) = 0.0
                     rneb(i,k) = 0.0
                     zcond(i) = 0.0
                     rhcl(i,k)=zq(i)/zqs(i)
-                ELSE IF (rneb(i,k) .GE. 1.0) THEN
+                ELSE IF (rneb(i,k) >= 1.0) THEN
                     zqn(i) = zq(i)
                     rneb(i,k) = 1.0
@@ -991,5 +991,5 @@
                     rhcl(i,k)=(zqs(i)+zq(i))/2./zqs(i)
                     ! Overwrite partitioning for non shallow-convective clouds if iflag_icefrac>1 (icefrac turb param) 
-                    IF (iflag_icefrac .GE. 1) THEN
+                    IF (iflag_icefrac >= 1) THEN
                         IF (lognormale(i)) THEN  
                            zcond(i)  = zqliq(i) + zqice(i)
@@ -1015,5 +1015,5 @@
 
         ! If vertical heterogeneity, change volume fraction 
-        IF (iflag_cloudth_vert .GE. 3) THEN
+        IF (iflag_cloudth_vert >= 3) THEN
           ctot_vol(1:klon,k)=min(max(ctot_vol(1:klon,k),0.),1.)
           rneblsvol(1:klon,k)=ctot_vol(1:klon,k)
@@ -1046,5 +1046,5 @@
       DO i = 1, klon
         zoliq(i) = zoliql(i) + zoliqi(i)
-        IF ( zoliq(i) .GT. 0. ) THEN 
+        IF ( zoliq(i) > 0. ) THEN
                 zfice(i) = zoliqi(i)/zoliq(i) 
         ELSE  
@@ -1068,5 +1068,5 @@
 
     ! LTP:
-    IF (iflag_evap_prec .GE. 4) THEN
+    IF (iflag_evap_prec >= 4) THEN
 
         !Partitionning between precipitation coming from clouds and that coming from CS
@@ -1084,5 +1084,5 @@
                 !1) Cloudy to clear air
                 d_znebprecip_cld_clr(i) = znebprecipcld(i) - min(rneb(i,k),znebprecipcld(i)) 
-                IF (znebprecipcld(i) .GT. 0.) THEN
+                IF (znebprecipcld(i) > 0.) THEN
                         d_zrfl_cld_clr(i) = d_znebprecip_cld_clr(i)/znebprecipcld(i)*zrflcld(i) 
                         d_zifl_cld_clr(i) = d_znebprecip_cld_clr(i)/znebprecipcld(i)*ziflcld(i) 
@@ -1094,5 +1094,5 @@
                 !2) Clear to cloudy air
                 d_znebprecip_clr_cld(i) = max(0., min(znebprecipclr(i), rneb(i,k) - d_tot_zneb(i) - zneb(i)))
-                IF (znebprecipclr(i) .GT. 0) THEN
+                IF (znebprecipclr(i) > 0) THEN
                         d_zrfl_clr_cld(i) = d_znebprecip_clr_cld(i)/znebprecipclr(i)*zrflclr(i) 
                         d_zifl_clr_cld(i) = d_znebprecip_clr_cld(i)/znebprecipclr(i)*ziflclr(i)
@@ -1139,5 +1139,5 @@
 
         DO i=1,klon
-            IF (rneb(i,k).GT.0.0) THEN
+            IF (rneb(i,k)>0.0) THEN
                 iwc(i) = zrho(i,k) * zoliqi(i) / zneb(i) ! in-cloud ice condensate content
             ENDIF
@@ -1148,5 +1148,5 @@
         DO i = 1, klon
 
-            IF (rneb(i,k).GT.0.0) THEN
+            IF (rneb(i,k)>0.0) THEN
 
                 ! Initialization of zrain, zsnow and zprecip:
@@ -1156,5 +1156,5 @@
                 ! c_iso same init for isotopes. Externalisation?
 
-                IF (zneb(i).EQ.seuil_neb) THEN
+                IF (zneb(i)==seuil_neb) THEN
                     zprecip = 0.0
                     zsnow = 0.0
@@ -1183,5 +1183,5 @@
                     ! dqliq/dt=-qliq/tau*(1-exp(-qcin/clw)**2)
                     !.........................................................
-                    IF ((iflag_cloudth_vert.GE.3).AND.(iflag_rain_incloud_vol.EQ.1)) THEN
+                    IF ((iflag_cloudth_vert>=3).AND.(iflag_rain_incloud_vol==1)) THEN
 
                     ! if vertical heterogeneity is taken into account, we use
@@ -1195,5 +1195,5 @@
 
 
-                    IF (iflag_autoconversion .EQ. 2) THEN
+                    IF (iflag_autoconversion == 2) THEN
                     ! two-steps resolution with niter_lscp=1 sufficient
                     ! we first treat the second term (with exponential) in an explicit way
@@ -1211,8 +1211,8 @@
                     ! dqice/dt=1/rho*d(rho*wice*qice)/dz
                     !....................................
-                    IF (iflag_autoconversion .EQ. 2) THEN
+                    IF (iflag_autoconversion == 2) THEN
                     ! exact resolution, niter_lscp=1 is sufficient but works only
                     ! with iflag_vice=0
-                       IF (zoliqi(i) .GT. 0.) THEN
+                       IF (zoliqi(i) > 0.) THEN
                           zfroi=(zoliqi(i)-((zoliqi(i)**(-dice_velo)) & 
                           +dice_velo*dtime/REAL(niter_lscp)*cice_velo/zdz(i)*ffallv)**(-1./dice_velo))
@@ -1231,5 +1231,5 @@
                 ENDIF
 
-                IF (iflag_autoconversion .GE. 1) THEN
+                IF (iflag_autoconversion >= 1) THEN
                    ! debugged version with phase conservation through the autoconversion process
                    zoliql(i) = MAX(zoliql(i)-1.*zrain  , 0.0)
@@ -1259,5 +1259,5 @@
     DO i = 1, klon
             
-            IF (iflag_evap_prec.GE.4) THEN
+            IF (iflag_evap_prec>=4) THEN
                 ziflprev(i)=ziflcld(i)
             ELSE
@@ -1265,5 +1265,5 @@
             ENDIF
 
-            IF (rneb(i,k) .GT. 0.0) THEN
+            IF (rneb(i,k) > 0.0) THEN
 
                ! CR&JYG: We account for the Wegener-Findeisen-Bergeron process in the precipitation flux:
@@ -1301,5 +1301,5 @@
                     ! c_iso : mv here condensation of isotopes + redispatchage en precip 
 
-                IF (iflag_evap_prec.GE.4) THEN
+                IF (iflag_evap_prec>=4) THEN
                     zrflcld(i) = zrflcld(i)+zqprecl(i) &
                     *(paprs(i,k)-paprs(i,k+1))/(RG*dtime)
@@ -1323,9 +1323,9 @@
     ! LTP: limit of surface cloud fraction covered by precipitation when the local intensity of the flux is below rain_int_min
     ! if iflag_evap_prec>=4
-    IF (iflag_evap_prec.GE.4) THEN
+    IF (iflag_evap_prec>=4) THEN
 
         DO i=1,klon
 
-            IF ((zrflclr(i) + ziflclr(i)) .GT. 0. ) THEN
+            IF ((zrflclr(i) + ziflclr(i)) > 0. ) THEN
                 znebprecipclr(i) = min(znebprecipclr(i),max(zrflclr(i)/ &
                 (MAX(znebprecipclr(i),seuil_neb)*rain_int_min), ziflclr(i)/(MAX(znebprecipclr(i),seuil_neb)*rain_int_min)))
@@ -1334,5 +1334,5 @@
             ENDIF
 
-            IF ((zrflcld(i) + ziflcld(i)) .GT. 0.) THEN
+            IF ((zrflcld(i) + ziflcld(i)) > 0.) THEN
                 znebprecipcld(i) = min(znebprecipcld(i), max(zrflcld(i)/ &
                 (MAX(znebprecipcld(i),seuil_neb)*rain_int_min), ziflcld(i)/(MAX(znebprecipcld(i),seuil_neb)*rain_int_min)))
@@ -1364,5 +1364,5 @@
     ! TODO: for the moment, we deactivate this option when ok_poprecip=.true.
 
-    IF ((ok_radocond_snow) .AND. (k .LT. klev) .AND. (.NOT. ok_poprecip)) THEN
+    IF ((ok_radocond_snow) .AND. (k < klev) .AND. (.NOT. ok_poprecip)) THEN
         ! for the solid phase (crystals + snowflakes)
         ! we recalculate radocondi by summing
@@ -1371,5 +1371,5 @@
         ! from the overlying layer
         DO i=1,klon
-           IF (ziflprev(i) .NE. 0.0) THEN
+           IF (ziflprev(i) /= 0.0) THEN
               radocondi(i,k)=zoliq(i)*zfice(i)+zqpreci(i)+ziflprev(i)/zrho(i,k+1)/velo(i,k+1)
            ELSE
@@ -1382,5 +1382,5 @@
     ! caculate the percentage of ice in "radocond" so cloud+precip seen by the radiation scheme
     DO i=1,klon
-        IF (radocond(i,k) .GT. 0.) THEN
+        IF (radocond(i,k) > 0.) THEN
             radicefrac(i,k)=MIN(MAX(radocondi(i,k)/radocond(i,k),0.),1.)
         ENDIF
@@ -1395,5 +1395,5 @@
     DO i = 1,klon
         
-        IF(zcond(i).GT.zoliq(i)+1.e-10) THEN
+        IF(zcond(i)>zoliq(i)+1.e-10) THEN
             beta(i,k) = (zcond(i)-zoliq(i))/zcond(i)/dtime
         ELSE
@@ -1403,7 +1403,7 @@
         zprec_cond(i) = MAX(zcond(i)-zoliq(i),0.0)*(paprs(i,k)-paprs(i,k+1))/RG
 
-        IF (rneb(i,k).GT.0.0.AND.zprec_cond(i).GT.0.) THEN
-
-            IF (temp(i,k) .GE. t_glace_min) THEN
+        IF (rneb(i,k)>0.0.AND.zprec_cond(i)>0.) THEN
+
+            IF (temp(i,k) >= t_glace_min) THEN
                 zalpha_tr = a_tr_sca(3)
             ELSE
@@ -1427,7 +1427,7 @@
         DO i = 1, klon
 
-            IF (rneb(i,k).GT.0.0.AND.zprec_cond(i).GT.0.) THEN
-
-                IF (temp(i,kk) .GE. t_glace_min) THEN
+            IF (rneb(i,k)>0.0.AND.zprec_cond(i)>0.) THEN
+
+                IF (temp(i,kk) >= t_glace_min) THEN
                     zalpha_tr = a_tr_sca(1)
                 ELSE
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_lscp_ini.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_lscp_ini.F90	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_lscp_ini.F90	(revision 5082)
@@ -409,5 +409,5 @@
 
     ! check for precipitation sub-time steps
-    IF (ABS(dtime/REAL(niter_lscp)-360.0).GT.0.001) THEN
+    IF (ABS(dtime/REAL(niter_lscp)-360.0)>0.001) THEN
         WRITE(lunout,*) 'lscp: it is not expected, see Z.X.Li', dtime
         WRITE(lunout,*) 'I would prefer a 6 min sub-timestep'
@@ -417,6 +417,6 @@
     ! and other options
    
-    IF (iflag_autoconversion .EQ. 2) THEN
-        IF ((iflag_vice .NE. 0) .OR. (niter_lscp .GT. 1)) THEN
+    IF (iflag_autoconversion == 2) THEN
+        IF ((iflag_vice /= 0) .OR. (niter_lscp > 1)) THEN
            abort_message = 'in lscp, iflag_autoconversion=2 requires iflag_vice=0 and niter_lscp=1'
            CALL abort_physic (modname,abort_message,1) 
